Queues a publish of a project’s feature flag manifest to the feature flag service
POST /api
Also reachable at /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Response
200 — Acknowledges that a publish of the project’s feature flag manifest has been queued.
Example Response
{}Lists the attempts to publish a project’s feature flag manifest to the feature flag service, newest first
GET /api
Also reachable at /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Query Parameters
skipinteger (required)
Number of items to skip. Defaults to zero. Minimum0.takeinteger (required)
Number of items to take. Defaults to 30. Minimum0.
Response
200 — Success
ItemTypestring
The type of item in this list.Itemsarray of objectCompletedAtstring
Formatdate-time.FailureCategorystring
Why a failed attempt failed: RegistrationFailed, MissingLicenseSerialNumber, MissingSigningKey, NetworkError, HttpError or Unexpected. Not set when the attempt succeeded.HttpStatusCodeinteger
The status code the feature flag service responded with, when a failed attempt received a response.IdstringOutcomestringProjectIdstringSpaceIdstringStartedAtstring
Formatdate-time.
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "FeatureFlagPublishAttempt",
"Items": [
{
"CompletedAt": "2020-01-01T00:00:00.000Z",
"FailureCategory": "string",
"HttpStatusCode": 0,
"Id": "string",
"Outcome": "string",
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1",
"StartedAt": "2020-01-01T00:00:00.000Z"
}
],
"ItemsPerPage": 30,
"LastPageNumber": 1,
"NumberOfPages": 2,
"TotalResults": 42
}Generates a feature toggle client identifier for a given project, environment, and tenant
POST /api
Also reachable at /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Request Body
EnvironmentIdstring (required)ProjectIdstring (required)SpaceIdstring (required)TenantIdstring
Response
200 — A generated feature toggle client identifier for a given project, environment, and tenant.
ClientIdentifierstring
Minimum length 1.
Example Request
{
"EnvironmentId": "Environments-1",
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1",
"TenantId": "Tenants-1"
}Example Response
{
"ClientIdentifier": "string"
}Rotates the feature toggle client identifier signing keys for a project
POST /api
Also reachable at /api.
Path Parameters
projectIdstring (required)spaceIdstring (required)
Request Body
CompleteRotationboolean (required)ProjectIdstring (required)SpaceIdstring (required)
Response
200 — Acks the completion of the rotation of the feature toggle client identifier signing keys for a project.
Example Request
{
"CompleteRotation": false,
"ProjectId": "Projects-1",
"SpaceId": "Spaces-1"
}Example Response
{}